# Record Class CAComparisonSetType.Anything<T>

java.lang.Object
java.lang.Record
com.io7m.cardant.model.comparisons.CAComparisonSetType.Anything<T>

Type Parameters:
  `T` - The type of values

All Implemented Interfaces:
  `CAComparisonSetType<T>, CAComparisonType`

Enclosing interface:
  `CAComparisonSetType<T>`

public static record CAComparisonSetType.Anything<T>() extends Record implements CAComparisonSetType<T>
Match any set.

- ## Nested Class Summary

  ### Nested classes/interfaces inherited from interface CAComparisonSetType

  `CAComparisonSetType.Anything<T>, CAComparisonSetType.IsEqualTo<T>, CAComparisonSetType.IsNotEqualTo<T>, CAComparisonSetType.IsOverlapping<T>, CAComparisonSetType.IsSubsetOf<T>, CAComparisonSetType.IsSupersetOf<T>`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `Anything()`
  Creates an instance of a `Anything` record class.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `final boolean`
  `equals(Object o)`
  Indicates whether some other object is "equal to" this one.
  `final int`
  `hashCode()`
  Returns a hash code value for this object.
  `<U> CAComparisonSetType<U>`
  `map(Function<T,U> f)`
  Produce a new comparison over values transformed with `f`.
  `boolean`
  `matches(Set<T> other)`
  `final String`
  `toString()`
  Returns a string representation of this record class.

  ### Methods inherited from class Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### Anything

    public Anything()
    Creates an instance of a `Anything` record class.

- ## Method Details

  - ### map

    public <U> CAComparisonSetType<U> map(Function<T,U> f)
    Description copied from interface: `CAComparisonSetType`
    Produce a new comparison over values transformed with `f`.
    Specified by:
      `map` in interface `CAComparisonSetType<T>`
    Type Parameters:
      `U` - The type of results
    Parameters:
      `f` - The transform
    Returns:
      A new comparison

  - ### matches

    public boolean matches(Set<T> other)
    Specified by:
      `matches` in interface `CAComparisonSetType<T>`
    Parameters:
      `other` - The set
    Returns:
      `true` if this comparison matches the given set

  - ### toString

    public final String toString()
    Returns a string representation of this record class. The representation contains the name of the class, followed by the name and value of each of the record components.
    Specified by:
      `toString` in class `Record`
    Returns:
      a string representation of this object

  - ### hashCode

    public final int hashCode()
    Returns a hash code value for this object. The value is derived from the hash code of each of the record components.
    Specified by:
      `hashCode` in class `Record`
    Returns:
      a hash code value for this object

  - ### equals

    public final boolean equals(Object o)
    Indicates whether some other object is "equal to" this one. The objects are equal if the other object is of the same class and if all the record components are equal.
    Specified by:
      `equals` in class `Record`
    Parameters:
      `o` - the object with which to compare
    Returns:
      `true` if this object is the same as the `o` argument; `false` otherwise.